using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainBusiness.Interfaces
{
    public interface IUserImageService
    {
        #region Public Methods

        void AddNewImage(UserImage image);

        void DeleteImageById(int id);

        IEnumerable<UserImage> GetAllImages();

        UserImage GetImageById(int id);

        void UpdateImage(int id, UserImage image);

        #endregion Public Methods
    }
}